Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.instance
Class PageInstance

    java.lang.Object
      |
      +--com.bea.netuix.application.instance.PageInstance

All Implemented Interfaces:
  NavigableInstance, Serializable

public class PageInstance
extends Object
implements Serializable, NavigableInstance

See Also:
  Serialized Form

Constructor Summary
`PageInstance(ThemeDefinitionId themeDefinitionId, LayoutDefinitionId layoutDefinitionId, String instanceTitle)`

Method Summary
`BookGroupId` | `getBookGroupId()`
`String` | `getInstanceTitle()`
`LayoutDefinitionId` | `getLayoutDefinitionId()`
`NavigableDefinition` | `getNavigableDefinition()`
`NavigableDefinitionId` | `getNavigableDefinitionId()`
`NavigableInstanceId` | `getNavigableInstanceId()`
`PageDefinition` | `getPageDefinition()`
`PageDefinitionId` | `getPageDefinitionId()`
`PageInstanceId` | `getPageInstanceId()`
`ThemeDefinitionId` | `getThemeDefinitionId()`
`void` | `setInstanceTitle(String instanceTitle)`
`void` | `setLayoutDefinitionId(LayoutDefinitionId layoutDefinitionId)`
`void` | `setThemeDefinitionId(ThemeDefinitionId themeDefinitionId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageInstance

    public PageInstance(ThemeDefinitionId themeDefinitionId,
                        LayoutDefinitionId layoutDefinitionId,
                        String instanceTitle)

Method Detail

### getPageInstanceId

    public PageInstanceId getPageInstanceId()

### getPageDefinition

    public PageDefinition getPageDefinition()

### getNavigableDefinition

    public NavigableDefinition getNavigableDefinition()

  Specified by:
    `getNavigableDefinition` in interface `NavigableInstance`

### getPageDefinitionId

    public PageDefinitionId getPageDefinitionId()

### getBookGroupId

    public BookGroupId getBookGroupId()

  Specified by:
    `getBookGroupId` in interface `NavigableInstance`

### getNavigableDefinitionId

    public NavigableDefinitionId getNavigableDefinitionId()

  Specified by:
    `getNavigableDefinitionId` in interface `NavigableInstance`

### getNavigableInstanceId

    public NavigableInstanceId getNavigableInstanceId()

  Specified by:
    `getNavigableInstanceId` in interface `NavigableInstance`

### getThemeDefinitionId

    public ThemeDefinitionId getThemeDefinitionId()

### setThemeDefinitionId

    public void setThemeDefinitionId(ThemeDefinitionId themeDefinitionId)

### getLayoutDefinitionId

    public LayoutDefinitionId getLayoutDefinitionId()

### setLayoutDefinitionId

    public void setLayoutDefinitionId(LayoutDefinitionId layoutDefinitionId)

### getInstanceTitle

    public String getInstanceTitle()

### setInstanceTitle

    public void setInstanceTitle(String instanceTitle)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved